Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class SAMLSenderVouchesHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
              be.ehealth.technicalconnector.handler.SAMLSenderVouchesHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class SAMLSenderVouchesHandler

extends AbstractWsSecurityHandler

The SAML-SV Callbackhandler.

Nested Class Summary

Nested classes/interfaces inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
`AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

Constructor Summary
`SAMLSenderVouchesHandler(Element assertion, X509Certificate certificate, PrivateKey privateKey)` Deprecated.
`SAMLSenderVouchesHandler(SAMLSenderVouchesCredential token)`

Method Summary

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
`buildSignature, handleOutbound`

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, getHeaders, handleFault, handleInbound, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMLSenderVouchesHandler

    @Deprecated
    public SAMLSenderVouchesHandler(Element assertion,
                                               X509Certificate certificate,
                                               PrivateKey privateKey)
                             throws TechnicalConnectorException

  Deprecated.

  Throws:
    `TechnicalConnectorException`

### SAMLSenderVouchesHandler

    public SAMLSenderVouchesHandler(SAMLSenderVouchesCredential token)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.